# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           earcandy
Version:        0.5.1
Release:        alt1_11
Summary:        Sound level manager

Group:          Sound
# pulseaudio/lib.py is BSD-licensed, the rest is GPLv2+
License:        BSD and GPLv2+
URL:            https://launchpad.net/earcandy
Source0:        http://launchpad.net/%{name}/0.5/0.5.release/+download/%{name}-%{version}.tar.gz

BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
Requires:       pygtk2
Requires:       notify-python
Requires:       libpulseaudio
BuildArch:      noarch
Source44: import.info


%description
A sound level manager that nicely fades applications in and out based on
their profile and window focus. It is useful if you need to fade out music
or video players during VoIP calls, switch to music player with focus when
more using than one, push sound to USB headsets on plugin, etc. Settings
can be configured via nice and simple UI.


%prep
%setup -q


%build
# Fix the shebangs
find . -name '*.py' -o -type f -name 'ear_candy' |
while read F
do
        S='/^#!/d'
        echo $F |grep -q '\.py$' || S='s,^#!/usr/bin/env python,#!/usr/bin/python,'
        sed "$S" $F >$F.new
        touch -r $F $F.new
        mv $F.new $F
done
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/earcandy.desktop


%files
%{_bindir}/ear_candy
%{_datadir}/applications/earcandy.desktop
%{_datadir}/earcandy
%{_datadir}/earcandy/earcandy.desktop
%{_datadir}/pixmaps/earsLabel.png
%{python_sitelibdir_noarch}/ear_candy
%{python_sitelibdir_noarch}/*.egg-info
%doc README COPYING


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_11
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_10
- fc import

